Loading...
Searching...
No Matches
pcl::gpu::PseudoConvexHull3D Class Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/surface/include/pcl/gpu/surface/convex_hull.h>`

## Public Types

using | PointType = pcl::PointXYZ
using | Cloud = pcl::gpu::DeviceArray<PointType>

## Public Member Functions

| PseudoConvexHull3D (std::size_t buffer_size)
void | reconstruct (const Cloud &points, Cloud &output)
void | reduce (const Cloud &points, Cloud &output)

## Detailed Description

Definition at line 50 of file convex_hull.h.

## Member Typedef Documentation

## Cloud

using pcl::gpu::PseudoConvexHull3D::Cloud = pcl::gpu::DeviceArray<PointType>

Definition at line 55 of file convex_hull.h.

## PointType

using pcl::gpu::PseudoConvexHull3D::PointType = pcl::PointXYZ

Definition at line 54 of file convex_hull.h.

## Constructor & Destructor Documentation

## PseudoConvexHull3D()

pcl::gpu::PseudoConvexHull3D::PseudoConvexHull3D | ( | std::size_t | buffer_size | ) |

## Member Function Documentation

## reconstruct()

void pcl::gpu::PseudoConvexHull3D::reconstruct | ( | const Cloud & | points,
|  | Cloud & | output )

Referenced by reduce().

## reduce()

void pcl::gpu::PseudoConvexHull3D::reduce | ( | const Cloud & | points,
|  | Cloud & | output )

References reconstruct().

The documentation for this class was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/surface/include/pcl/gpu/surface/convex_hull.h